Get Quote
curl --request GET \
--url https://api.example.com/api/v1/quotes/{quote_id}import requests
url = "https://api.example.com/api/v1/quotes/{quote_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/quotes/{quote_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "a1b2c3d4-...",
"quote_text": "People's dreams never end!",
"anime": { "id": "...", "name": "One Piece", "slug": "one-piece" },
"character": { "id": "...", "name": "Marshall D. Teach", "slug": "marshall-d-teach", "role": "antagonist" },
"episode": "146",
"language": "en",
"tags": ["dreams", "villain"],
"created_at": "2026-01-15T10:30:00Z"
}
}
{
"status": "error",
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Quote not found"
}
}
Quotes
Get Quote
Retrieve a single quote by its ID
GET
/
api
/
v1
/
quotes
/
{quote_id}
Get Quote
Path Parameters
string
required
The UUID of the quote
{
"status": "success",
"data": {
"id": "a1b2c3d4-...",
"quote_text": "People's dreams never end!",
"anime": { "id": "...", "name": "One Piece", "slug": "one-piece" },
"character": { "id": "...", "name": "Marshall D. Teach", "slug": "marshall-d-teach", "role": "antagonist" },
"episode": "146",
"language": "en",
"tags": ["dreams", "villain"],
"created_at": "2026-01-15T10:30:00Z"
}
}
{
"status": "error",
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Quote not found"
}
}